org.apache.pdfbox.preflight.annotation

## Class LineAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.LineAnnotationValidator

    public class LineAnnotationValidator
    extends AnnotationValidator

Validation class for the LineAnnotation

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationLine` `pdLine` PDFBox object which wraps the annotation dictionary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`LineAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDictionary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `checkIColors()` Return true if the IC field is present in the Annotation dictionary and if the RGB profile is used in the DestOutputProfile of the OutputIntent dictionary.
`protected boolean` `checkSpecificMandatoryFields()` Override this method to check the presence of specific fields
`boolean` `validate()` In addition of the AnnotationValidator.validate() method, this method executes the checkIColors method.

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, searchRGBProfile, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdLine

    protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationLine pdLine

PDFBox object which wraps the annotation dictionary

### Constructor Detail

#### LineAnnotationValidator

    public LineAnnotationValidator(PreflightContext ctx,
                                   org.apache.pdfbox.cos.COSDictionary annotDictionary)

### Method Detail

#### validate

    public boolean validate()
                     throws ValidationException

In addition of the AnnotationValidator.validate() method, this method executes the checkIColors method.

Overrides:
  `validate` in class `AnnotationValidator`
Returns:
  true if validation succeed, false otherwise.
Throws:
  `ValidationException`
See Also:
  `AnnotationValidator.validate()`

#### checkIColors

    protected boolean checkIColors()
                            throws ValidationException

Return true if the IC field is present in the Annotation dictionary and if the RGB profile is used in the DestOutputProfile of the OutputIntent dictionary.

Returns:
  the state of the IC field validation.
Throws:
  `ValidationException`

#### checkSpecificMandatoryFields

    protected boolean checkSpecificMandatoryFields()

Description copied from class: `AnnotationValidator`
Override this method to check the presence of specific fields

Overrides:
  `checkSpecificMandatoryFields` in class `AnnotationValidator`
Returns:
  the presence of specific fields.